# Models

## The AgentProcess object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"AgentProcess":{"type":"object","properties":{"processName":{"type":"string","nullable":true},"processorUsage":{"type":"integer","format":"int32"},"memoryUsage":{"type":"integer","format":"int64"},"processCount":{"type":"integer","format":"int32"},"username":{"type":"string","nullable":true}}}}}}
```

## The AgentProcessContainer object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"AgentProcessContainer":{"type":"object","properties":{"computeTypeName":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"createdDate":{"type":"string","format":"date-time"},"processes":{"type":"array","items":{"$ref":"#/components/schemas/AgentProcess"},"nullable":true},"instanceId":{"type":"string","nullable":true}}},"AgentProcess":{"type":"object","properties":{"processName":{"type":"string","nullable":true},"processorUsage":{"type":"integer","format":"int32"},"memoryUsage":{"type":"integer","format":"int64"},"processCount":{"type":"integer","format":"int32"},"username":{"type":"string","nullable":true}}}}}}
```

## The AnomalyAlertSummary object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"AnomalyAlertSummary":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"detectedUtc":{"type":"string","format":"date-time"},"metric":{"type":"string","nullable":true},"severity":{"type":"string","nullable":true},"observed":{"type":"number","format":"double","nullable":true},"baselineCenter":{"type":"number","format":"double","nullable":true},"score":{"type":"number","format":"double","nullable":true},"evidenceJson":{"type":"string","nullable":true}}}}}}
```

## The AnomalyChatRequest object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"AnomalyChatRequest":{"type":"object","properties":{"question":{"type":"string","nullable":true},"computerName":{"type":"string","nullable":true},"engine":{"type":"string","nullable":true},"lookbackMinutes":{"type":"integer","format":"int32","nullable":true}}}}}}
```

## The AnomalyChatResponse object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"AnomalyChatResponse":{"type":"object","properties":{"answer":{"type":"string","nullable":true},"summary":{"$ref":"#/components/schemas/WorkspaceHealthSummary"},"success":{"type":"boolean"},"mode":{"type":"string","nullable":true},"candidates":{"type":"array","items":{"$ref":"#/components/schemas/WorkspaceCandidateDto"},"nullable":true},"tokenUsage":{},"estateSummary":{"$ref":"#/components/schemas/EstateSummaryResult"}}},"WorkspaceHealthSummary":{"type":"object","properties":{"computerName":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"directoryId":{"type":"string","nullable":true},"region":{"type":"string","nullable":true},"windowStartUtc":{"type":"string","format":"date-time"},"windowEndUtc":{"type":"string","format":"date-time"},"hasPerformanceIssue":{"type":"boolean"},"overallAssessment":{"type":"string","nullable":true},"cpuAvgPct":{"type":"number","format":"double","nullable":true},"cpuP95Pct":{"type":"number","format":"double","nullable":true},"memoryAvgPct":{"type":"number","format":"double","nullable":true},"memoryP95Pct":{"type":"number","format":"double","nullable":true},"swapP95Pct":{"type":"number","format":"double","nullable":true},"rootFreeGb":{"type":"number","format":"double","nullable":true},"userFreeGb":{"type":"number","format":"double","nullable":true},"networkInKbP95":{"type":"number","format":"double","nullable":true},"networkOutKbP95":{"type":"number","format":"double","nullable":true},"latencyMs":{"type":"number","format":"double","nullable":true},"latencyMsP95":{"type":"number","format":"double","nullable":true},"averageStartupSeconds":{"type":"number","format":"double","nullable":true},"topProcesses":{"type":"array","items":{"$ref":"#/components/schemas/TopProcessSample"},"nullable":true},"anomalies":{"type":"array","items":{"$ref":"#/components/schemas/AnomalyAlertSummary"},"nullable":true}},"nullable":true},"TopProcessSample":{"type":"object","properties":{"processName":{"type":"string","nullable":true},"avgCpuPct":{"type":"number","format":"double","nullable":true},"avgMemoryMb":{"type":"number","format":"double","nullable":true},"peakMemoryMb":{"type":"number","format":"double","nullable":true},"avgDiskIoOps":{"type":"number","format":"double","nullable":true},"avgProcessCount":{"type":"number","format":"double","nullable":true},"category":{"type":"string","nullable":true}}},"AnomalyAlertSummary":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"detectedUtc":{"type":"string","format":"date-time"},"metric":{"type":"string","nullable":true},"severity":{"type":"string","nullable":true},"observed":{"type":"number","format":"double","nullable":true},"baselineCenter":{"type":"number","format":"double","nullable":true},"score":{"type":"number","format":"double","nullable":true},"evidenceJson":{"type":"string","nullable":true}}},"WorkspaceCandidateDto":{"type":"object","properties":{"workspaceId":{"type":"string","nullable":true},"computerName":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"displayName":{"type":"string","nullable":true}}},"EstateSummaryResult":{"type":"object","properties":{"metric":{"type":"string","nullable":true},"value":{"type":"integer","format":"int32","nullable":true},"error":{"type":"string","nullable":true},"timestampUtc":{"type":"string","format":"date-time"}},"nullable":true}}}}
```

## The EstateSummaryResult object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"EstateSummaryResult":{"type":"object","properties":{"metric":{"type":"string","nullable":true},"value":{"type":"integer","format":"int32","nullable":true},"error":{"type":"string","nullable":true},"timestampUtc":{"type":"string","format":"date-time"}},"nullable":true}}}}
```

## The HeartbeatRequest object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"HeartbeatRequest":{"type":"object","properties":{"agentId":{"type":"string","nullable":true},"machineName":{"type":"string","nullable":true},"instanceId":{"type":"string","nullable":true},"mode":{"type":"string","nullable":true},"sentUtc":{"type":"string","format":"date-time"},"correlationId":{"type":"string","nullable":true},"domainJoined":{"type":"boolean"}}}}}}
```

## The SnowChangeDto object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"SnowChangeDto":{"type":"object","properties":{"apiKey":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"computeType":{"type":"string","nullable":true},"requester":{"type":"string","nullable":true},"workSpaceId":{"type":"string","nullable":true}}}}}}
```

## The SnowCreateDto object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"SnowCreateDto":{"type":"object","properties":{"apiKey":{"type":"string","nullable":true},"samaccount":{"type":"string","nullable":true},"directoryid":{"type":"string","nullable":true},"bundleid":{"type":"string","nullable":true},"mode":{"type":"string","nullable":true},"encryptRootVolume":{"type":"boolean"},"encryptUserVolume":{"type":"boolean"},"workSpaceId":{"type":"string","nullable":true},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"nullable":true}}},"Tag":{"type":"object","properties":{"key":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}}}}}}
```

## The SnowProvisionDto object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"SnowProvisionDto":{"type":"object","properties":{"apiKey":{"maxLength":500,"minLength":0,"type":"string","nullable":true},"userName":{"maxLength":150,"minLength":0,"type":"string","nullable":true},"directoryId":{"maxLength":100,"minLength":0,"type":"string","nullable":true},"bundleId":{"maxLength":100,"minLength":0,"type":"string","nullable":true},"mode":{"maxLength":100,"minLength":0,"type":"string","nullable":true},"encryptRootVolume":{"type":"boolean"},"encryptUserVolume":{"type":"boolean"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/TagPair"},"nullable":true},"computeType":{"maxLength":200,"minLength":0,"type":"string","nullable":true},"scheduleName":{"maxLength":200,"minLength":0,"type":"string","nullable":true},"requiredComputerName":{"maxLength":200,"minLength":0,"type":"string","nullable":true},"sandBox":{"type":"boolean"}}},"TagPair":{"required":["tagName","tagValue"],"type":"object","properties":{"tagName":{"type":"string","nullable":true},"tagValue":{"type":"string","nullable":true}}}}}}
```

## The SnowTerminateDto object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"SnowTerminateDto":{"type":"object","properties":{"apiKey":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"directoryid":{"type":"string","nullable":true},"workSpaceId":{"type":"string","nullable":true},"requester":{"type":"string","nullable":true}}}}}}
```

## The Stat object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"Stat":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"computeTypeName":{"maxLength":25,"minLength":0,"type":"string","nullable":true},"updatetime":{"type":"string","format":"date-time"},"username":{"maxLength":50,"minLength":0,"type":"string","nullable":true},"processorCount":{"type":"integer","format":"int32"},"processorInUse":{"type":"integer","format":"int32"},"physicalMemory":{"type":"integer","format":"int64"},"availablePhysicalMemory":{"type":"integer","format":"int64"},"virtualMemory":{"type":"integer","format":"int64"},"availableVirtualMemory":{"type":"integer","format":"int64"},"memoryInUse":{"type":"integer","format":"int64"},"rootTotal":{"type":"integer","format":"int64"},"rootAvailable":{"type":"integer","format":"int64"},"userTotal":{"type":"integer","format":"int64"},"userAvailable":{"type":"integer","format":"int64"},"diskReads":{"type":"number","format":"float"},"diskWrites":{"type":"number","format":"float"},"networkReceived":{"type":"number","format":"float"},"networkSent":{"type":"number","format":"float"},"uptime":{"type":"number","format":"double","nullable":true},"osVersion":{"maxLength":20,"minLength":0,"type":"string","nullable":true},"tenantId":{"type":"string","nullable":true},"instanceId":{"maxLength":50,"minLength":0,"type":"string","nullable":true}}}}}}
```

## The Tag object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"Tag":{"type":"object","properties":{"key":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}}}}}}
```

## The TagPair object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"TagPair":{"required":["tagName","tagValue"],"type":"object","properties":{"tagName":{"type":"string","nullable":true},"tagValue":{"type":"string","nullable":true}}}}}}
```

## The TopProcessSample object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"TopProcessSample":{"type":"object","properties":{"processName":{"type":"string","nullable":true},"avgCpuPct":{"type":"number","format":"double","nullable":true},"avgMemoryMb":{"type":"number","format":"double","nullable":true},"peakMemoryMb":{"type":"number","format":"double","nullable":true},"avgDiskIoOps":{"type":"number","format":"double","nullable":true},"avgProcessCount":{"type":"number","format":"double","nullable":true},"category":{"type":"string","nullable":true}}}}}}
```

## The WorkspaceActivity object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"WorkspaceActivity":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"computeTypeName":{"maxLength":25,"minLength":0,"type":"string","nullable":true},"username":{"maxLength":50,"minLength":0,"type":"string","nullable":true},"activity":{"type":"string","nullable":true},"activityTime":{"type":"string","format":"date-time"},"instanceId":{"maxLength":50,"minLength":0,"type":"string","nullable":true},"tenantId":{"type":"string","nullable":true}}}}}}
```

## The WorkSpaceApiResponse object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"WorkSpaceApiResponse":{"type":"object","properties":{"workSpaces":{"type":"array","items":{"$ref":"#/components/schemas/WorkSpaceDetails"},"nullable":true},"nextToken":{"type":"string","description":"The token to use to retrieve the next page of results. This value is null when there are no more results to return.","nullable":true},"hasMore":{"type":"boolean","description":"Boolean to indicate more results available for return."}}},"WorkSpaceDetails":{"type":"object","properties":{"workSpId":{"type":"string","nullable":true},"computerName":{"type":"string","nullable":true},"account":{"type":"string","nullable":true},"region":{"type":"string","nullable":true},"directoryId":{"type":"string","nullable":true},"runningMode":{"type":"string","nullable":true},"computeTypeName":{"type":"string","nullable":true},"protocol":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"state":{"type":"string","nullable":true}}}}}}
```

## The WorkspaceCandidateDto object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"WorkspaceCandidateDto":{"type":"object","properties":{"workspaceId":{"type":"string","nullable":true},"computerName":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"displayName":{"type":"string","nullable":true}}}}}}
```

## The WorkSpaceDetails object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"WorkSpaceDetails":{"type":"object","properties":{"workSpId":{"type":"string","nullable":true},"computerName":{"type":"string","nullable":true},"account":{"type":"string","nullable":true},"region":{"type":"string","nullable":true},"directoryId":{"type":"string","nullable":true},"runningMode":{"type":"string","nullable":true},"computeTypeName":{"type":"string","nullable":true},"protocol":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"state":{"type":"string","nullable":true}}}}}}
```

## The WorkspaceHealthSummary object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"WorkspaceHealthSummary":{"type":"object","properties":{"computerName":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"directoryId":{"type":"string","nullable":true},"region":{"type":"string","nullable":true},"windowStartUtc":{"type":"string","format":"date-time"},"windowEndUtc":{"type":"string","format":"date-time"},"hasPerformanceIssue":{"type":"boolean"},"overallAssessment":{"type":"string","nullable":true},"cpuAvgPct":{"type":"number","format":"double","nullable":true},"cpuP95Pct":{"type":"number","format":"double","nullable":true},"memoryAvgPct":{"type":"number","format":"double","nullable":true},"memoryP95Pct":{"type":"number","format":"double","nullable":true},"swapP95Pct":{"type":"number","format":"double","nullable":true},"rootFreeGb":{"type":"number","format":"double","nullable":true},"userFreeGb":{"type":"number","format":"double","nullable":true},"networkInKbP95":{"type":"number","format":"double","nullable":true},"networkOutKbP95":{"type":"number","format":"double","nullable":true},"latencyMs":{"type":"number","format":"double","nullable":true},"latencyMsP95":{"type":"number","format":"double","nullable":true},"averageStartupSeconds":{"type":"number","format":"double","nullable":true},"topProcesses":{"type":"array","items":{"$ref":"#/components/schemas/TopProcessSample"},"nullable":true},"anomalies":{"type":"array","items":{"$ref":"#/components/schemas/AnomalyAlertSummary"},"nullable":true}},"nullable":true},"TopProcessSample":{"type":"object","properties":{"processName":{"type":"string","nullable":true},"avgCpuPct":{"type":"number","format":"double","nullable":true},"avgMemoryMb":{"type":"number","format":"double","nullable":true},"peakMemoryMb":{"type":"number","format":"double","nullable":true},"avgDiskIoOps":{"type":"number","format":"double","nullable":true},"avgProcessCount":{"type":"number","format":"double","nullable":true},"category":{"type":"string","nullable":true}}},"AnomalyAlertSummary":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"detectedUtc":{"type":"string","format":"date-time"},"metric":{"type":"string","nullable":true},"severity":{"type":"string","nullable":true},"observed":{"type":"number","format":"double","nullable":true},"baselineCenter":{"type":"number","format":"double","nullable":true},"score":{"type":"number","format":"double","nullable":true},"evidenceJson":{"type":"string","nullable":true}}}}}}
```

## The WorkspaceStartupMetric object

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"components":{"schemas":{"WorkspaceStartupMetric":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"computeTypeName":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"baselineUtc":{"type":"string","format":"date-time"},"profileMs":{"type":"integer","format":"int32"},"groupPolicyMs":{"type":"integer","format":"int32"},"shellMs":{"type":"integer","format":"int32"},"totalMs":{"type":"integer","format":"int32"},"instanceId":{"type":"string","nullable":true}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nuvens.cloud/api-reference/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
